# PhasicFlow: pFlow::internalPointsKernels Namespace Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

pFlow::internalPointsKernels Namespace Reference

## Functions

void | changePosition (deviceViewType1D< realx3 > points, deviceViewType1D< uint32 > indices, realx3 transferVector)

## Function Documentation

## changePosition()

void changePosition | ( | deviceViewType1D< realx3 > | points,
|  | deviceViewType1D< uint32 > | indices,
|  | realx3 | transferVector
| ) |  |

Definition at line 24 of file internalPointsKernels.cpp.

References LAMBDA_HD.

Referenced by internalPoints::changePointsFlagPosition().

Here is the caller graph for this function: